std::logical_or(3)

NAME
std::logical_or - std::logical_or

Synopsis
   Defined in header <functional>
   template<> (since C++14)
   class logical_or<void>;
   std::logical_or<void> is a specialization of std::logical_or with parameter and
   return type deduced.

Member functions
   operator() applies operator|| to lhs and rhs
              (public member function) std::logical_or<void>::operator()
   template< class T, class U >
   constexpr auto operator()( T&& lhs, U&& rhs ) const
       -> decltype(std::forward<T>(lhs) || std::forward<U>(rhs));
   Returns the result of std::forward<T>(lhs) || std::forward<U>(rhs).

Parameters
   lhs, rhs - values to logical OR

Return value
   std::forward<T>(lhs) || std::forward<U>(rhs).

Example
    This section is incomplete
    Reason: no example

Category:
     * Todo no example